&, * {
  padding: 0;
  margin: 0;
  appearance: none;
  border: none;
  background: none;
  box-shadow: none;
  outline: none;
  cursor: inherit;
  font: inherit;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  list-style: none;
}

input,
select,
button,
textarea,
option {
  appearance: none;
  font: inherit;
  color: inherit;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance:textfield;
}
